Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network110.25.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
110.25.0.0
Broadcast address
110.25.63.255
First usable
110.25.0.1
Last usable
110.25.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 6E190000 · Integer 1847132160 to 1847148543
Reverse DNS zones
0.25.110.in-addr.arpa
1.25.110.in-addr.arpa
2.25.110.in-addr.arpa
3.25.110.in-addr.arpa
4.25.110.in-addr.arpa
5.25.110.in-addr.arpa
6.25.110.in-addr.arpa
7.25.110.in-addr.arpa
8.25.110.in-addr.arpa
9.25.110.in-addr.arpa
10.25.110.in-addr.arpa
11.25.110.in-addr.arpa
12.25.110.in-addr.arpa
13.25.110.in-addr.arpa
14.25.110.in-addr.arpa
15.25.110.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101110.00011001.00000000.00000000110.25.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01101110.00011001.00000000.00000000110.25.0.0
Broadcast01101110.00011001.00111111.11111111110.25.63.255
Split into smaller subnets/28

110.25.0.0/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1110.25.0.0/28110.25.0.1 to 110.25.0.14110.25.0.1514
2110.25.0.16/28110.25.0.17 to 110.25.0.30110.25.0.3114
3110.25.0.32/28110.25.0.33 to 110.25.0.46110.25.0.4714
4110.25.0.48/28110.25.0.49 to 110.25.0.62110.25.0.6314
5110.25.0.64/28110.25.0.65 to 110.25.0.78110.25.0.7914
6110.25.0.80/28110.25.0.81 to 110.25.0.94110.25.0.9514
7110.25.0.96/28110.25.0.97 to 110.25.0.110110.25.0.11114
8110.25.0.112/28110.25.0.113 to 110.25.0.126110.25.0.12714
9110.25.0.128/28110.25.0.129 to 110.25.0.142110.25.0.14314
10110.25.0.144/28110.25.0.145 to 110.25.0.158110.25.0.15914
11110.25.0.160/28110.25.0.161 to 110.25.0.174110.25.0.17514
12110.25.0.176/28110.25.0.177 to 110.25.0.190110.25.0.19114
13110.25.0.192/28110.25.0.193 to 110.25.0.206110.25.0.20714
14110.25.0.208/28110.25.0.209 to 110.25.0.222110.25.0.22314
15110.25.0.224/28110.25.0.225 to 110.25.0.238110.25.0.23914
16110.25.0.240/28110.25.0.241 to 110.25.0.254110.25.0.25514
17110.25.1.0/28110.25.1.1 to 110.25.1.14110.25.1.1514
18110.25.1.16/28110.25.1.17 to 110.25.1.30110.25.1.3114
19110.25.1.32/28110.25.1.33 to 110.25.1.46110.25.1.4714
20110.25.1.48/28110.25.1.49 to 110.25.1.62110.25.1.6314
21110.25.1.64/28110.25.1.65 to 110.25.1.78110.25.1.7914
22110.25.1.80/28110.25.1.81 to 110.25.1.94110.25.1.9514
23110.25.1.96/28110.25.1.97 to 110.25.1.110110.25.1.11114
24110.25.1.112/28110.25.1.113 to 110.25.1.126110.25.1.12714
25110.25.1.128/28110.25.1.129 to 110.25.1.142110.25.1.14314
26110.25.1.144/28110.25.1.145 to 110.25.1.158110.25.1.15914
27110.25.1.160/28110.25.1.161 to 110.25.1.174110.25.1.17514
28110.25.1.176/28110.25.1.177 to 110.25.1.190110.25.1.19114
29110.25.1.192/28110.25.1.193 to 110.25.1.206110.25.1.20714
30110.25.1.208/28110.25.1.209 to 110.25.1.222110.25.1.22314
31110.25.1.224/28110.25.1.225 to 110.25.1.238110.25.1.23914
32110.25.1.240/28110.25.1.241 to 110.25.1.254110.25.1.25514
33110.25.2.0/28110.25.2.1 to 110.25.2.14110.25.2.1514
34110.25.2.16/28110.25.2.17 to 110.25.2.30110.25.2.3114
35110.25.2.32/28110.25.2.33 to 110.25.2.46110.25.2.4714
36110.25.2.48/28110.25.2.49 to 110.25.2.62110.25.2.6314
37110.25.2.64/28110.25.2.65 to 110.25.2.78110.25.2.7914
38110.25.2.80/28110.25.2.81 to 110.25.2.94110.25.2.9514
39110.25.2.96/28110.25.2.97 to 110.25.2.110110.25.2.11114
40110.25.2.112/28110.25.2.113 to 110.25.2.126110.25.2.12714
41110.25.2.128/28110.25.2.129 to 110.25.2.142110.25.2.14314
42110.25.2.144/28110.25.2.145 to 110.25.2.158110.25.2.15914
43110.25.2.160/28110.25.2.161 to 110.25.2.174110.25.2.17514
44110.25.2.176/28110.25.2.177 to 110.25.2.190110.25.2.19114
45110.25.2.192/28110.25.2.193 to 110.25.2.206110.25.2.20714
46110.25.2.208/28110.25.2.209 to 110.25.2.222110.25.2.22314
47110.25.2.224/28110.25.2.225 to 110.25.2.238110.25.2.23914
48110.25.2.240/28110.25.2.241 to 110.25.2.254110.25.2.25514
49110.25.3.0/28110.25.3.1 to 110.25.3.14110.25.3.1514
50110.25.3.16/28110.25.3.17 to 110.25.3.30110.25.3.3114
51110.25.3.32/28110.25.3.33 to 110.25.3.46110.25.3.4714
52110.25.3.48/28110.25.3.49 to 110.25.3.62110.25.3.6314
53110.25.3.64/28110.25.3.65 to 110.25.3.78110.25.3.7914
54110.25.3.80/28110.25.3.81 to 110.25.3.94110.25.3.9514
55110.25.3.96/28110.25.3.97 to 110.25.3.110110.25.3.11114
56110.25.3.112/28110.25.3.113 to 110.25.3.126110.25.3.12714
57110.25.3.128/28110.25.3.129 to 110.25.3.142110.25.3.14314
58110.25.3.144/28110.25.3.145 to 110.25.3.158110.25.3.15914
59110.25.3.160/28110.25.3.161 to 110.25.3.174110.25.3.17514
60110.25.3.176/28110.25.3.177 to 110.25.3.190110.25.3.19114
61110.25.3.192/28110.25.3.193 to 110.25.3.206110.25.3.20714
62110.25.3.208/28110.25.3.209 to 110.25.3.222110.25.3.22314
63110.25.3.224/28110.25.3.225 to 110.25.3.238110.25.3.23914
64110.25.3.240/28110.25.3.241 to 110.25.3.254110.25.3.25514
65110.25.4.0/28110.25.4.1 to 110.25.4.14110.25.4.1514
66110.25.4.16/28110.25.4.17 to 110.25.4.30110.25.4.3114
67110.25.4.32/28110.25.4.33 to 110.25.4.46110.25.4.4714
68110.25.4.48/28110.25.4.49 to 110.25.4.62110.25.4.6314
69110.25.4.64/28110.25.4.65 to 110.25.4.78110.25.4.7914
70110.25.4.80/28110.25.4.81 to 110.25.4.94110.25.4.9514
71110.25.4.96/28110.25.4.97 to 110.25.4.110110.25.4.11114
72110.25.4.112/28110.25.4.113 to 110.25.4.126110.25.4.12714
73110.25.4.128/28110.25.4.129 to 110.25.4.142110.25.4.14314
74110.25.4.144/28110.25.4.145 to 110.25.4.158110.25.4.15914
75110.25.4.160/28110.25.4.161 to 110.25.4.174110.25.4.17514
76110.25.4.176/28110.25.4.177 to 110.25.4.190110.25.4.19114
77110.25.4.192/28110.25.4.193 to 110.25.4.206110.25.4.20714
78110.25.4.208/28110.25.4.209 to 110.25.4.222110.25.4.22314
79110.25.4.224/28110.25.4.225 to 110.25.4.238110.25.4.23914
80110.25.4.240/28110.25.4.241 to 110.25.4.254110.25.4.25514
81110.25.5.0/28110.25.5.1 to 110.25.5.14110.25.5.1514
82110.25.5.16/28110.25.5.17 to 110.25.5.30110.25.5.3114
83110.25.5.32/28110.25.5.33 to 110.25.5.46110.25.5.4714
84110.25.5.48/28110.25.5.49 to 110.25.5.62110.25.5.6314
85110.25.5.64/28110.25.5.65 to 110.25.5.78110.25.5.7914
86110.25.5.80/28110.25.5.81 to 110.25.5.94110.25.5.9514
87110.25.5.96/28110.25.5.97 to 110.25.5.110110.25.5.11114
88110.25.5.112/28110.25.5.113 to 110.25.5.126110.25.5.12714
89110.25.5.128/28110.25.5.129 to 110.25.5.142110.25.5.14314
90110.25.5.144/28110.25.5.145 to 110.25.5.158110.25.5.15914
91110.25.5.160/28110.25.5.161 to 110.25.5.174110.25.5.17514
92110.25.5.176/28110.25.5.177 to 110.25.5.190110.25.5.19114
93110.25.5.192/28110.25.5.193 to 110.25.5.206110.25.5.20714
94110.25.5.208/28110.25.5.209 to 110.25.5.222110.25.5.22314
95110.25.5.224/28110.25.5.225 to 110.25.5.238110.25.5.23914
96110.25.5.240/28110.25.5.241 to 110.25.5.254110.25.5.25514
97110.25.6.0/28110.25.6.1 to 110.25.6.14110.25.6.1514
98110.25.6.16/28110.25.6.17 to 110.25.6.30110.25.6.3114
99110.25.6.32/28110.25.6.33 to 110.25.6.46110.25.6.4714
100110.25.6.48/28110.25.6.49 to 110.25.6.62110.25.6.6314
101110.25.6.64/28110.25.6.65 to 110.25.6.78110.25.6.7914
102110.25.6.80/28110.25.6.81 to 110.25.6.94110.25.6.9514
103110.25.6.96/28110.25.6.97 to 110.25.6.110110.25.6.11114
104110.25.6.112/28110.25.6.113 to 110.25.6.126110.25.6.12714
105110.25.6.128/28110.25.6.129 to 110.25.6.142110.25.6.14314
106110.25.6.144/28110.25.6.145 to 110.25.6.158110.25.6.15914
107110.25.6.160/28110.25.6.161 to 110.25.6.174110.25.6.17514
108110.25.6.176/28110.25.6.177 to 110.25.6.190110.25.6.19114
109110.25.6.192/28110.25.6.193 to 110.25.6.206110.25.6.20714
110110.25.6.208/28110.25.6.209 to 110.25.6.222110.25.6.22314
111110.25.6.224/28110.25.6.225 to 110.25.6.238110.25.6.23914
112110.25.6.240/28110.25.6.241 to 110.25.6.254110.25.6.25514
113110.25.7.0/28110.25.7.1 to 110.25.7.14110.25.7.1514
114110.25.7.16/28110.25.7.17 to 110.25.7.30110.25.7.3114
115110.25.7.32/28110.25.7.33 to 110.25.7.46110.25.7.4714
116110.25.7.48/28110.25.7.49 to 110.25.7.62110.25.7.6314
117110.25.7.64/28110.25.7.65 to 110.25.7.78110.25.7.7914
118110.25.7.80/28110.25.7.81 to 110.25.7.94110.25.7.9514
119110.25.7.96/28110.25.7.97 to 110.25.7.110110.25.7.11114
120110.25.7.112/28110.25.7.113 to 110.25.7.126110.25.7.12714
121110.25.7.128/28110.25.7.129 to 110.25.7.142110.25.7.14314
122110.25.7.144/28110.25.7.145 to 110.25.7.158110.25.7.15914
123110.25.7.160/28110.25.7.161 to 110.25.7.174110.25.7.17514
124110.25.7.176/28110.25.7.177 to 110.25.7.190110.25.7.19114
125110.25.7.192/28110.25.7.193 to 110.25.7.206110.25.7.20714
126110.25.7.208/28110.25.7.209 to 110.25.7.222110.25.7.22314
127110.25.7.224/28110.25.7.225 to 110.25.7.238110.25.7.23914
128110.25.7.240/28110.25.7.241 to 110.25.7.254110.25.7.25514
129110.25.8.0/28110.25.8.1 to 110.25.8.14110.25.8.1514
130110.25.8.16/28110.25.8.17 to 110.25.8.30110.25.8.3114
131110.25.8.32/28110.25.8.33 to 110.25.8.46110.25.8.4714
132110.25.8.48/28110.25.8.49 to 110.25.8.62110.25.8.6314
133110.25.8.64/28110.25.8.65 to 110.25.8.78110.25.8.7914
134110.25.8.80/28110.25.8.81 to 110.25.8.94110.25.8.9514
135110.25.8.96/28110.25.8.97 to 110.25.8.110110.25.8.11114
136110.25.8.112/28110.25.8.113 to 110.25.8.126110.25.8.12714
137110.25.8.128/28110.25.8.129 to 110.25.8.142110.25.8.14314
138110.25.8.144/28110.25.8.145 to 110.25.8.158110.25.8.15914
139110.25.8.160/28110.25.8.161 to 110.25.8.174110.25.8.17514
140110.25.8.176/28110.25.8.177 to 110.25.8.190110.25.8.19114
141110.25.8.192/28110.25.8.193 to 110.25.8.206110.25.8.20714
142110.25.8.208/28110.25.8.209 to 110.25.8.222110.25.8.22314
143110.25.8.224/28110.25.8.225 to 110.25.8.238110.25.8.23914
144110.25.8.240/28110.25.8.241 to 110.25.8.254110.25.8.25514
145110.25.9.0/28110.25.9.1 to 110.25.9.14110.25.9.1514
146110.25.9.16/28110.25.9.17 to 110.25.9.30110.25.9.3114
147110.25.9.32/28110.25.9.33 to 110.25.9.46110.25.9.4714
148110.25.9.48/28110.25.9.49 to 110.25.9.62110.25.9.6314
149110.25.9.64/28110.25.9.65 to 110.25.9.78110.25.9.7914
150110.25.9.80/28110.25.9.81 to 110.25.9.94110.25.9.9514
151110.25.9.96/28110.25.9.97 to 110.25.9.110110.25.9.11114
152110.25.9.112/28110.25.9.113 to 110.25.9.126110.25.9.12714
153110.25.9.128/28110.25.9.129 to 110.25.9.142110.25.9.14314
154110.25.9.144/28110.25.9.145 to 110.25.9.158110.25.9.15914
155110.25.9.160/28110.25.9.161 to 110.25.9.174110.25.9.17514
156110.25.9.176/28110.25.9.177 to 110.25.9.190110.25.9.19114
157110.25.9.192/28110.25.9.193 to 110.25.9.206110.25.9.20714
158110.25.9.208/28110.25.9.209 to 110.25.9.222110.25.9.22314
159110.25.9.224/28110.25.9.225 to 110.25.9.238110.25.9.23914
160110.25.9.240/28110.25.9.241 to 110.25.9.254110.25.9.25514
161110.25.10.0/28110.25.10.1 to 110.25.10.14110.25.10.1514
162110.25.10.16/28110.25.10.17 to 110.25.10.30110.25.10.3114
163110.25.10.32/28110.25.10.33 to 110.25.10.46110.25.10.4714
164110.25.10.48/28110.25.10.49 to 110.25.10.62110.25.10.6314
165110.25.10.64/28110.25.10.65 to 110.25.10.78110.25.10.7914
166110.25.10.80/28110.25.10.81 to 110.25.10.94110.25.10.9514
167110.25.10.96/28110.25.10.97 to 110.25.10.110110.25.10.11114
168110.25.10.112/28110.25.10.113 to 110.25.10.126110.25.10.12714
169110.25.10.128/28110.25.10.129 to 110.25.10.142110.25.10.14314
170110.25.10.144/28110.25.10.145 to 110.25.10.158110.25.10.15914
171110.25.10.160/28110.25.10.161 to 110.25.10.174110.25.10.17514
172110.25.10.176/28110.25.10.177 to 110.25.10.190110.25.10.19114
173110.25.10.192/28110.25.10.193 to 110.25.10.206110.25.10.20714
174110.25.10.208/28110.25.10.209 to 110.25.10.222110.25.10.22314
175110.25.10.224/28110.25.10.225 to 110.25.10.238110.25.10.23914
176110.25.10.240/28110.25.10.241 to 110.25.10.254110.25.10.25514
177110.25.11.0/28110.25.11.1 to 110.25.11.14110.25.11.1514
178110.25.11.16/28110.25.11.17 to 110.25.11.30110.25.11.3114
179110.25.11.32/28110.25.11.33 to 110.25.11.46110.25.11.4714
180110.25.11.48/28110.25.11.49 to 110.25.11.62110.25.11.6314
181110.25.11.64/28110.25.11.65 to 110.25.11.78110.25.11.7914
182110.25.11.80/28110.25.11.81 to 110.25.11.94110.25.11.9514
183110.25.11.96/28110.25.11.97 to 110.25.11.110110.25.11.11114
184110.25.11.112/28110.25.11.113 to 110.25.11.126110.25.11.12714
185110.25.11.128/28110.25.11.129 to 110.25.11.142110.25.11.14314
186110.25.11.144/28110.25.11.145 to 110.25.11.158110.25.11.15914
187110.25.11.160/28110.25.11.161 to 110.25.11.174110.25.11.17514
188110.25.11.176/28110.25.11.177 to 110.25.11.190110.25.11.19114
189110.25.11.192/28110.25.11.193 to 110.25.11.206110.25.11.20714
190110.25.11.208/28110.25.11.209 to 110.25.11.222110.25.11.22314
191110.25.11.224/28110.25.11.225 to 110.25.11.238110.25.11.23914
192110.25.11.240/28110.25.11.241 to 110.25.11.254110.25.11.25514
193110.25.12.0/28110.25.12.1 to 110.25.12.14110.25.12.1514
194110.25.12.16/28110.25.12.17 to 110.25.12.30110.25.12.3114
195110.25.12.32/28110.25.12.33 to 110.25.12.46110.25.12.4714
196110.25.12.48/28110.25.12.49 to 110.25.12.62110.25.12.6314
197110.25.12.64/28110.25.12.65 to 110.25.12.78110.25.12.7914
198110.25.12.80/28110.25.12.81 to 110.25.12.94110.25.12.9514
199110.25.12.96/28110.25.12.97 to 110.25.12.110110.25.12.11114
200110.25.12.112/28110.25.12.113 to 110.25.12.126110.25.12.12714
201110.25.12.128/28110.25.12.129 to 110.25.12.142110.25.12.14314
202110.25.12.144/28110.25.12.145 to 110.25.12.158110.25.12.15914
203110.25.12.160/28110.25.12.161 to 110.25.12.174110.25.12.17514
204110.25.12.176/28110.25.12.177 to 110.25.12.190110.25.12.19114
205110.25.12.192/28110.25.12.193 to 110.25.12.206110.25.12.20714
206110.25.12.208/28110.25.12.209 to 110.25.12.222110.25.12.22314
207110.25.12.224/28110.25.12.225 to 110.25.12.238110.25.12.23914
208110.25.12.240/28110.25.12.241 to 110.25.12.254110.25.12.25514
209110.25.13.0/28110.25.13.1 to 110.25.13.14110.25.13.1514
210110.25.13.16/28110.25.13.17 to 110.25.13.30110.25.13.3114
211110.25.13.32/28110.25.13.33 to 110.25.13.46110.25.13.4714
212110.25.13.48/28110.25.13.49 to 110.25.13.62110.25.13.6314
213110.25.13.64/28110.25.13.65 to 110.25.13.78110.25.13.7914
214110.25.13.80/28110.25.13.81 to 110.25.13.94110.25.13.9514
215110.25.13.96/28110.25.13.97 to 110.25.13.110110.25.13.11114
216110.25.13.112/28110.25.13.113 to 110.25.13.126110.25.13.12714
217110.25.13.128/28110.25.13.129 to 110.25.13.142110.25.13.14314
218110.25.13.144/28110.25.13.145 to 110.25.13.158110.25.13.15914
219110.25.13.160/28110.25.13.161 to 110.25.13.174110.25.13.17514
220110.25.13.176/28110.25.13.177 to 110.25.13.190110.25.13.19114
221110.25.13.192/28110.25.13.193 to 110.25.13.206110.25.13.20714
222110.25.13.208/28110.25.13.209 to 110.25.13.222110.25.13.22314
223110.25.13.224/28110.25.13.225 to 110.25.13.238110.25.13.23914
224110.25.13.240/28110.25.13.241 to 110.25.13.254110.25.13.25514
225110.25.14.0/28110.25.14.1 to 110.25.14.14110.25.14.1514
226110.25.14.16/28110.25.14.17 to 110.25.14.30110.25.14.3114
227110.25.14.32/28110.25.14.33 to 110.25.14.46110.25.14.4714
228110.25.14.48/28110.25.14.49 to 110.25.14.62110.25.14.6314
229110.25.14.64/28110.25.14.65 to 110.25.14.78110.25.14.7914
230110.25.14.80/28110.25.14.81 to 110.25.14.94110.25.14.9514
231110.25.14.96/28110.25.14.97 to 110.25.14.110110.25.14.11114
232110.25.14.112/28110.25.14.113 to 110.25.14.126110.25.14.12714
233110.25.14.128/28110.25.14.129 to 110.25.14.142110.25.14.14314
234110.25.14.144/28110.25.14.145 to 110.25.14.158110.25.14.15914
235110.25.14.160/28110.25.14.161 to 110.25.14.174110.25.14.17514
236110.25.14.176/28110.25.14.177 to 110.25.14.190110.25.14.19114
237110.25.14.192/28110.25.14.193 to 110.25.14.206110.25.14.20714
238110.25.14.208/28110.25.14.209 to 110.25.14.222110.25.14.22314
239110.25.14.224/28110.25.14.225 to 110.25.14.238110.25.14.23914
240110.25.14.240/28110.25.14.241 to 110.25.14.254110.25.14.25514
241110.25.15.0/28110.25.15.1 to 110.25.15.14110.25.15.1514
242110.25.15.16/28110.25.15.17 to 110.25.15.30110.25.15.3114
243110.25.15.32/28110.25.15.33 to 110.25.15.46110.25.15.4714
244110.25.15.48/28110.25.15.49 to 110.25.15.62110.25.15.6314
245110.25.15.64/28110.25.15.65 to 110.25.15.78110.25.15.7914
246110.25.15.80/28110.25.15.81 to 110.25.15.94110.25.15.9514
247110.25.15.96/28110.25.15.97 to 110.25.15.110110.25.15.11114
248110.25.15.112/28110.25.15.113 to 110.25.15.126110.25.15.12714
249110.25.15.128/28110.25.15.129 to 110.25.15.142110.25.15.14314
250110.25.15.144/28110.25.15.145 to 110.25.15.158110.25.15.15914
251110.25.15.160/28110.25.15.161 to 110.25.15.174110.25.15.17514
252110.25.15.176/28110.25.15.177 to 110.25.15.190110.25.15.19114
253110.25.15.192/28110.25.15.193 to 110.25.15.206110.25.15.20714
254110.25.15.208/28110.25.15.209 to 110.25.15.222110.25.15.22314
255110.25.15.224/28110.25.15.225 to 110.25.15.238110.25.15.23914
256110.25.15.240/28110.25.15.241 to 110.25.15.254110.25.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses